Bug 997102 - [abrt] policycoreutils-gui-2.1.14-46.4.fc19: seobject.py:64:__init__:OSError: [Errno 93] Protokol není podporován
[abrt] policycoreutils-gui-2.1.14-46.4.fc19: seobject.py:64:__init__:OSError:...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
abrt_hash:69a5d6f1d81f7b53b2c783c0a56...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 12:41 EDT by Pavel Mlčoch
Modified: 2015-02-17 11:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:46:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2013-08-14 12:41 EDT, Pavel Mlčoch
no flags Details
File: environ (286 bytes, text/plain)
2013-08-14 12:41 EDT, Pavel Mlčoch
no flags Details

  None (edit)
Description Pavel Mlčoch 2013-08-14 12:41:45 EDT
Description of problem:
start system-config-selinux from console

Version-Release number of selected component:
policycoreutils-gui-2.1.14-46.4.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -Es /usr/share/system-config-selinux/system-config-selinux.py
dso_list:       policycoreutils-python-2.1.14-46.4.fc19.x86_64
executable:     /usr/share/system-config-selinux/system-config-selinux.py
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
seobject.py:64:__init__:OSError: [Errno 93] Protokol není podporován

Traceback (most recent call last):
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 192, in <module>
    app = childWindow()
  File "/usr/share/system-config-selinux/system-config-selinux.py", line 91, in __init__
    self.add_page(booleansPage.booleansPage(xml))
  File "/usr/share/system-config-selinux/booleansPage.py", line 138, in __init__
    self.load(self.filter)
  File "/usr/share/system-config-selinux/booleansPage.py", line 209, in load
    self.booleans = seobject.booleanRecords()
  File "/usr/lib64/python2.7/site-packages/seobject.py", line 2012, in __init__
    semanageRecords.__init__(self, store)
  File "/usr/lib64/python2.7/site-packages/seobject.py", line 179, in __init__
    self.mylog = logger()
  File "/usr/lib64/python2.7/site-packages/seobject.py", line 64, in __init__
    self.audit_fd = audit.audit_open()
OSError: [Errno 93] Protokol není podporován

Local variables in innermost frame:
self: <seobject.logger instance at 0x6c71ea8>
Comment 1 Pavel Mlčoch 2013-08-14 12:41:49 EDT
Created attachment 786610 [details]
File: backtrace
Comment 2 Pavel Mlčoch 2013-08-14 12:41:52 EDT
Created attachment 786611 [details]
File: environ
Comment 3 Daniel Walsh 2013-08-28 13:41:22 EDT
Did you boot with a kernel that does not support audit?

Steve why would audit_open return 

protocol is not supported
Comment 4 Steve Grubb 2013-08-28 14:24:41 EDT
Any failure in audit_open has its reason written into syslog. That would spell it out exactly. My guess is that its a custom config kernel where audit is not enabled. You can also sometimes get EAFNOSUPPORT and EINVAL depending on some other switches not being in the expected config. So, if you want, you can allow an exception for those return code and not bother with audit events.
Comment 5 Daniel Walsh 2013-08-28 15:19:32 EDT
Strange this is wrapped in an try: except block and should fall back to syslog.
Comment 6 Fedora End Of Life 2015-01-09 14:27:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:46:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.